org.jgroups.util

## Interface ThreadManager

All Known Subinterfaces:
  TimeScheduler

All Known Implementing Classes:
  DefaultThreadFactory, DefaultTimeScheduler, HashedTimingWheel, LazyThreadFactory, ThreadManagerThreadPoolExecutor, TimeScheduler2

    public interface ThreadManager

An object that manages threads and provides callbacks to a `ThreadDecorator` to allow it to alter their state.

Author:
  Brian Stansberry

### Method Summary

Methods
`ThreadDecorator` `getThreadDecorator()` Gets the ThreadDecorator associated with this manager.
`void` `setThreadDecorator(ThreadDecorator decorator)` Sets the ThreadDecorator associated this manager should use.

### Method Detail

#### getThreadDecorator

    ThreadDecorator getThreadDecorator()

Gets the ThreadDecorator associated with this manager.

Returns:
  the ThreadDecorator, or `null` if there is none.

#### setThreadDecorator

    void setThreadDecorator(ThreadDecorator decorator)

Sets the ThreadDecorator associated this manager should use.

Parameters:
  `decorator` - the ThreadDecorator, or `null`.